gss_inquire_saslname_for_mech(3)

NAME
gss_inquire_saslname_for_mech - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_inquire_saslname_for_mech(OM_uint32 * minor_status, const gss_OID desired_mech, gss_buffer_t sasl_mech_name, gss_buffer_t mech_name, gss_buffer_t mech_description);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_OID desired_mech
    (OID, read) Identifies the GSS-API mechanism to query.

gss_buffer_t sasl_mech_name
    (buffer, character-string, modify, optional)
      Buffer to receive SASL mechanism name. The application must free
      storage associated with this name after use with a call to
      gss_release_buffer().

gss_buffer_t mech_name
    (buffer, character-string, modify, optional) Buffer to
      receive human readable mechanism name. The application must free
      storage associated with this name after use with a call to
      gss_release_buffer().

gss_buffer_t mech_description
    (buffer, character-string, modify, optional)
      Buffer to receive description of mechanism. The application must
      free storage associated with this name after use with a call to
      gss_release_buffer().

DESCRIPTION
Output the SASL mechanism name of a GSS-API mechanism. It also returns a name and description of the mechanism in a user friendly form.

RETURNS

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_MECH`: The desired_mech OID is unsupported.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.